Subject: Re: What's cooking in git.git (Jul 2016, #06; Tue, 19)

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Jul 2016 08:52:01 -0700

Pranit Bauva <[email-masked]> writes:

> The current branch contains 30-40 % of the work. I am going to send 3
> more functions check_and_set_terms(), bisect_next_check() and
> bisect_terms() positively by today. After that the work will be around
> 50-60% complete. After that bisect_start() (I have ported this but it
> has a bug right now) then bisect_next(), bisect_replay(),
> bisect_state(), and a few small more.

Thanks for an interim report of the current state within the overall
plan.  IIRC, bisect_next (which gets called from bisect_auto_next)
and the functions it calls comprise the bulk of the logic of the
program, so when you are ready to tackle bisect_next, which would
mean that you have done with all the functions it calls, you would
roughly be halfway there.  Nice.